<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 4</title>
	<style type="text/css">
		main{
			display: flex;
			flex-direction: column;
			justify-content: center;
			font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
			font-weight: bold;
			font-size: small;
			margin-top: 80px;
		}

		input{
			width: 240px;
			height: 60px;
			background-color: silver;
			border-radius: 5px;
			border: 0;
			padding-left: 16px;
			margin: 0px 10px;
		}

		button{
			width: 140px;
			height: 50px;
			line-height: 50px;
			background-color: olive;
			border-radius: 5px;
			border: 0;
			text-align: center;
			margin: 5px 15px 0px 15px;
			color: white;
		}

		.sumardos{
			margin-bottom: 40px;
		}
		.sumartres{
			margin-bottom: 40px;
		}

		#limpia{
			background-color: maroon;
		}
		
	</style>
	<script type="text/javascript">

	//crear una función que le pasas 2 números y te imprime la suma
	//crear una función que le pasas 3 números y te imprime la suma
		
		window.addEventListener("load",function(e){

			document.querySelector("#sumar").addEventListener("click",function(e){
				
				let numero1=document.querySelector("#numero1").value;
				let numero2=document.querySelector("#numero2").value;
				let  suma=parseFloat(numero1)+parseFloat(numero2);

				document.querySelector("#resultado").value = suma;
			});

			document.querySelector("#sumartres").addEventListener("click",function(e){
				
				let num1=document.querySelector("#num1").value;
				let num2=document.querySelector("#num2").value;
				let num3=document.querySelector("#num3").value;
				let  sumatres=parseFloat(num1)+parseFloat(num2)+parseFloat(num3);

				document.querySelector("#resultadotres").value = sumatres;
			});

			document.querySelector("#limpia").addEventListener("click",function(e){
				 document.querySelector("#numero1").value = "";
				 document.querySelector("#numero2").value = "";
				 document.querySelector("#resultado").value = "";
				 document.querySelector("#numero1").focus();
				 document.querySelector("#num1").value = "";
				 document.querySelector("#num2").value = "";
				 document.querySelector("#num3").value = "";
				 document.querySelector("#resultadotres").value = "";
			});
		});


	</script>
</head>
<body>
	<main>
		<div class="sumardos">
			<input id="numero1" type="text" placeholder="Primer Número"/>
			<input id="numero2" type="text" placeholder="Segundo Número"/>
			<button id="sumar" type="submit">Sumar</button>
			<input type="text" id="resultado" placeholder="Resultado"/>
		</div>

		<div class="sumartres">
			<input id="num1" type="text" placeholder="Primer Número"/>
			<input id="num2" type="text" placeholder="Segundo Número"/>
			<input id="num3" type="text" placeholder="Tercer Número"/>
			<button id="sumartres" type="submit">Sumar</button>
			<input type="text" id="resultadotres" placeholder="Resultado"/>
		</div>
			<button  id="limpia" value="limpiar">Limpiar</button>
		<div>
			
		</div>
	</main>
</body>
</html>